@import url("https://fonts.googleapis.com/css2?family=Mulish:wght@200;300;400;700;900&display=swap");
@tailwind base;
@tailwind components;
@tailwind utilities;

/* #main {
    opacity: 0;
    visibility: hidden;
    transition-property: opacity, visibility;
    transition-duration: 2s;
    transition-delay: 0.5s;
    transition-timing-function: ease-in;
} */

@layer base {
    body {
        @apply bg-white text-gray-900 dark:bg-primary dark:text-gray-100;
        @apply min-h-screen;
    }

    ::selection {
        @apply text-white bg-indigo-500;
    }

    .btn {
        @apply inline-block px-5 py-3 rounded-lg hover:bg-indigo-600 transition duration-300 shadow-lg bg-indigo-500 text-white capitalize tracking-wider font-semibold text-sm sm:text-xl focus:outline-none focus:ring-4 focus:ring-indigo-500 focus:ring-opacity-50 whitespace-nowrap;
    }
}

.skew::before {
    position: absolute;
    content: "";
    top: 0;
    bottom: 0;
    transform: skew(-20deg);
    background-color: #1d4b8b;
    width: 100%;
    display: block;
    margin-left: 2.5rem;
    border-radius: 15px;
    z-index: -1;
}
